Package org.wso2.carbon.proxyadmin.stub

## Class ProxyServiceAdminProxyAdminException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.proxyadmin.stub.ProxyServiceAdminProxyAdminException

- All Implemented Interfaces:
    `Serializable`

      public class ProxyServiceAdminProxyAdminException
      extends Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyServiceAdminProxyAdminException()` |
    `ProxyServiceAdminProxyAdminException​(String s)` |
    `ProxyServiceAdminProxyAdminException​(String s, Throwable ex)` |
    `ProxyServiceAdminProxyAdminException​(Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProxyServiceAdminProxyAdminException` | `getFaultMessage()` |
    `void` | `setFaultMessage​(ProxyServiceAdminProxyAdminException msg)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyServiceAdminProxyAdminException

          public ProxyServiceAdminProxyAdminException()

    - #### ProxyServiceAdminProxyAdminException

          public ProxyServiceAdminProxyAdminException​(String s)

    - #### ProxyServiceAdminProxyAdminException

          public ProxyServiceAdminProxyAdminException​(String s,
                                                      Throwable ex)

    - #### ProxyServiceAdminProxyAdminException

          public ProxyServiceAdminProxyAdminException​(Throwable cause)

  - ### Method Detail

    - #### setFaultMessage

          public void setFaultMessage​(ProxyServiceAdminProxyAdminException msg)

    - #### getFaultMessage

          public ProxyServiceAdminProxyAdminException getFaultMessage()